1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Installing Postgresql - HOWTO

Discussion in 'Database Discussions' started by cPanelNick, Aug 13, 2003.

  1. Wave3

    Wave3 New Member

    Joined:
    Apr 6, 2005
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    I have some what successfully got PostgreSQL 8.0.1 working with cPanel 10 but it still will not assign a user to a database.

    Have you checked to see if PostgreSQL service started with the server?
     
  2. hendricknet

    hendricknet New Member

    Joined:
    Apr 8, 2005
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Yes, sites that have existing databases still function, just no joy in cpanel itself to add users/db. Anyone have ideas? I'd hate to have to reinstall postgres AGAIN.

    I've stepped through the install script and didn't see anything that stood out to me, but I'm no code monkey. :)
     
  3. NoP

    NoP New Member

    Joined:
    Mar 31, 2005
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Brasil
    -

    Hi,
    I've installed Postgre's in my server as you said, but the estranged is that the icon to Postgre isn't appearing at my CPanel. Please, do you know what could be happening?

    Thanks =)

    ********
    Found the erros, thanks =D
     
    #123 NoP, Apr 28, 2005
    Last edited: Apr 28, 2005
  4. maxihost2

    maxihost2 Member

    Joined:
    Feb 28, 2005
    Messages:
    55
    Likes Received:
    0
    Trophy Points:
    6
    the above worked for 10.2.0-S83
     
  5. emericklaw

    emericklaw New Member

    Joined:
    Mar 31, 2005
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    I am getting the following when trying to install postgresql:

    Any ideas, I have tried quite a few times and I get the same output.
     
  6. casey

    casey Active Member

    Joined:
    Jan 17, 2003
    Messages:
    2,334
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    If there is trouble, it will find me
    Did you try the method quoted in the post right above yours?
     
  7. emericklaw

    emericklaw New Member

    Joined:
    Mar 31, 2005
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    Yes I did but the cpanel install script does not complete, i actually missed out a line...

    Why would postgresql need gnokii (software to use nokia phone in linux)??
     
  8. webhostexpert

    webhostexpert New Member

    Joined:
    Jan 7, 2005
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Can anyone explain why I cant get newer rpms then 7.3.10 on my server?

    I have tried everything even deleted the old one and reinstalled and it keeps grabbing the old 7.3.10 when 8.0 is out now.

    will version 8 run on redhat es 3.0?
     
    #128 webhostexpert, Jun 3, 2005
    Last edited: Jun 3, 2005
  9. chirpy

    chirpy Super Moderator

    Joined:
    Jun 15, 2002
    Messages:
    13,499
    Likes Received:
    14
    Trophy Points:
    38
    Location:
    Go on, have a guess
    RHE provides only v7.3.10 postgresql rpms, so that's what cPanel will install. If you want a newer version for some reason, then you're going to have to break your RHE support and install from source. Don't forget to exclude all the postgresql rpms from up2date otherwise RHE will downgrade it next time RedHat fix a bug in it.
     
  10. typhon

    typhon Member

    Joined:
    Feb 17, 2004
    Messages:
    65
    Likes Received:
    0
    Trophy Points:
    6
    the only problem is that cpanel doesn't recognize that it is installed no matter what you do when you build it from source... unless that is I am missing something.
    My process was this: install postgres from source, use script: installpostgres, build apache + php.
     
  11. zaryab

    zaryab New Member

    Joined:
    Aug 30, 2005
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Yes!I did but the cpanel install script does not complete, i actually missed out a li

    this is the way to use my card ofmy network
    # /scripts/installpostgres
    This script will install Postgres 7.3.x or later
    If you have an older version installed you wil need to
    Dump your databases to a file and then restore them
    after the install as 7.3.x is not backwards compatible.
    If you do not have any databases, you can just run:
    mv /var/lib/pgsql /var/lib/pgsql.old
    /sbin/service postgresql stop
    /sbin/service postgresql start
    to force creating a 7.3.x style setup. Do not do this if
    you have databases that you wish to keep!

    Are you sure you wish to proceed? y
    Gathering header information file(s) from server(s)
    Server: Fedora Core 2 - i386 - Base
    Server: Fedora Linux 2 - i386 - core
    Server: Dag RPM Repository for Fedora Core
    Server: Fedora Linux 2 - i386 - freshrpms
    Server: Livna.org Fedora Compatible Packages (stable)
    Server: Fedora Core 2 NewRPMS.sunsite.dk
    Server: Fedora Linux 2 - i386 - updates
    Server: Fedora Core 2 - i386 - Released Updates
    Finding updated packages
    Downloading needed headers
    Resolving dependencies
    error reading information on service postgresql: No such file or directory
    error reading information on service postgresql: No such file or directory
    postgresql: unrecognized service
    postmaster: no process killed
    postmaster: no process killed
    postgresql: unrecognized service
    You should now configure postgresql from WHM!
    You should now configure postgresql from WHM!
    You should now configure postgresql from WHM!
    You should now configure postgresql from WHM!
    #
     
  12. darkelder

    darkelder Member

    Joined:
    Oct 8, 2004
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    6
    Are postgresql 8 works with cpanel?

    Somebody installed it?

    There are any issues?
     
  13. BLazeD

    BLazeD New Member

    Joined:
    Apr 9, 2004
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Zealand
    I cancelled my cpanel server because of this. Any 8.xxx is incompatible AFAIK. Pretty stupid really.
     
  14. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,452
    Likes Received:
    0
    Trophy Points:
    36

    Postgres 8 will eventually be supported, but there are a few more problems to work out.
     
  15. erick_paper

    erick_paper Member

    Joined:
    Apr 19, 2005
    Messages:
    246
    Likes Received:
    0
    Trophy Points:
    16
    Hi,

    Is there a way to install PostgreSQL 8.1 RC? The "/scripts/installpostgres" is still working with 7.3.0?! I would like to install PostgreSQL as root account and then have it available in Cpanel of all my domains. Would sincerely appreciate any tips or pointers, thanks.

    EP
     
  16. panayot

    panayot Member

    Joined:
    Nov 18, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    I installed 8.0 and all is working. I used this howto (you only need to set the proper version for the rpms)

    http://forum.ev1servers.net/showthread.php?p=368320
     
  17. BLazeD

    BLazeD New Member

    Joined:
    Apr 9, 2004
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Zealand

    Any idea on an exact date?
     
  18. xerophyte

    xerophyte Member

    Joined:
    Mar 16, 2003
    Messages:
    216
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Canada
    I have tested on few server with cpanel and PostgreSQL 8.1.0, seem to work fine, Made draft howto how to do it,if i am missing something please feel free to add comments to the article

    you can find the article at

    http://kb.linuxnetworkcare.com/node/21

    hope that helps someone
     
  19. BLazeD

    BLazeD New Member

    Joined:
    Apr 9, 2004
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Zealand
    you are the man! I will try this shortly...
     
  20. darkelder

    darkelder Member

    Joined:
    Oct 8, 2004
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    6

Share This Page